PayZuPayZu Docs

Generate report

POST
/user/report

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.payzu.processamento.com/v1/user/report" \  -H "Content-Type: application/json" \  -d '{    "dateFrom": "2019-08-24T14:15:22Z",    "dateTo": "2019-08-24T14:15:22Z"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "status": "PENDING",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 422,
  "error": "Unprocessable Entity",
  "message": "Insufficient balance for this operation",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}